> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get auth configuration

> Retrieve the authentication configuration settings.



## OpenAPI

````yaml /openapi/admin.json get /auth-config
openapi: 3.1.0
info:
  title: Nudj Admin API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/admin
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /auth-config:
    get:
      tags:
        - Auth Config
      summary: Get auth configuration
      description: Retrieve the authentication configuration settings.
      operationId: getAuthConfig
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  enabledProviders:
                    type: array
                    items:
                      type: string
                      enum:
                        - 42-school
                        - api-auth-link
                        - api-token-link
                        - apple
                        - asgardeo
                        - atlassian
                        - auth0
                        - authentik
                        - azure-ad-b2c
                        - azure-ad
                        - azure-devops
                        - battlenet
                        - beyondidentity
                        - box
                        - boxyhq-saml
                        - bungie
                        - click-up
                        - cognito
                        - coinbase
                        - descope
                        - discord
                        - dribbble
                        - dropbox
                        - duende-identity-server6
                        - email
                        - eveonline
                        - facebook
                        - faceit
                        - foursquare
                        - freshbooks
                        - fusionauth
                        - github
                        - gitlab
                        - google
                        - hubspot
                        - identity-server4
                        - instagram
                        - kakao
                        - keycloak
                        - line
                        - linkedin
                        - mailchimp
                        - mailru
                        - mastodon
                        - mattermost
                        - medium
                        - naver
                        - netlify
                        - notion
                        - okta
                        - onelogin
                        - organisation-oidc
                        - osso
                        - osu
                        - passage
                        - patreon
                        - pinterest
                        - pipedrive
                        - reddit
                        - salesforce
                        - slack
                        - spotify
                        - strava
                        - tiktok
                        - todoist
                        - trakt
                        - twitch
                        - twitter
                        - united-effects
                        - vk
                        - wikimedia
                        - wordpress
                        - workos
                        - yandex
                        - youtube
                        - zitadel
                        - zoho
                        - zoom
                    description: List of enabled authentication providers
                  oidcProviders:
                    type: array
                    items:
                      $ref: '#/components/schemas/AuthConfigOidcProvider'
                    description: OIDC provider configurations
                  email:
                    oneOf:
                      - $ref: '#/components/schemas/AuthConfigEmailSettings'
                      - type: 'null'
                required:
                  - enabledProviders
                  - oidcProviders
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    AuthConfigOidcProvider:
      type: object
      properties:
        id:
          type: string
          description: The ID of the OIDC provider
        name:
          type: string
          description: The name of the OIDC provider
        clientId:
          type: string
          description: The client ID of the OIDC provider
        clientSecret:
          type: string
          description: The client secret of the OIDC provider
        issuer:
          type: string
          format: uri
          description: The issuer of the OIDC provider
        userinfo_endpoint:
          type: string
          format: uri
          description: The userinfo endpoint of the OIDC provider
        customUserInfoEndpoint:
          type:
            - string
            - 'null'
          format: uri
          description: The custom userinfo endpoint of the OIDC provider
        scopes:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Additional scopes of the OIDC provider
      required:
        - id
        - name
        - clientId
        - clientSecret
        - issuer
        - userinfo_endpoint
      title: Auth Configuration OIDC Provider
      description: Authentication configuration OIDC provider
    AuthConfigEmailSettings:
      type: object
      properties:
        host:
          type: string
          pattern: ^[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$
          minLength: 1
          description: The host of the email server
        port:
          type: integer
          minimum: 1
          maximum: 65535
          description: The port of the email server
        username:
          type: string
          description: The username of the email server
        password:
          type: string
          minLength: 1
          description: The password of the email server
          writeOnly: true
        fromAddress:
          type: string
          format: email
          description: The from address of the email server
      required:
        - host
        - port
        - username
        - password
        - fromAddress
      title: Auth Configuration Email Settings
      description: Authentication configuration email settings
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````